Can't open Software sources

I have an ‘interesting’ problem.
I cannot open my "software Sources’ in either the Software & Updates menu item or in the Synaptic Package Manger.

When I open software-properties-gtk in a terminal, I get the following output.

roger@roger-aspirev3571g:~$ software-properties-gtk
/usr/lib/python3/dist-packages/gi/overrides/Gdk.py:438: Warning: g_value_set_boxed: assertion ‘G_VALUE_HOLDS_BOXED (value)’ failed
initialized, argv = Gdk.init_check(sys.argv)
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 177, in activate_name_owner
return self.get_name_owner(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 361, in get_name_owner
return self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
File “/usr/lib/python3/dist-packages/dbus/connection.py”, line 652, in call_blocking
reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name ‘com.ubuntu.SoftwareProperties’: no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/software-properties-gtk”, line 100, in
app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
File “/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py”, line 197, in init
proxy = bus.get_object(“com.ubuntu.SoftwareProperties”, “/”)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 241, in get_object
return self.ProxyObjectClass(self, bus_name, object_path,
File “/usr/lib/python3/dist-packages/dbus/proxies.py”, line 250, in init
self._named_service = conn.activate_name_owner(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 182, in activate_name_owner
self.start_service_by_name(bus_name)
File “/usr/lib/python3/dist-packages/dbus/bus.py”, line 277, in start_service_by_name
return (True, self.call_blocking(BUS_DAEMON_NAME, BUS_DAEMON_PATH,
File “/usr/lib/python3/dist-packages/dbus/connection.py”, line 652, in call_blocking
reply_message = self.send_message_with_reply_and_block(
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
roger@roger-aspirev3571g:~$

I’m afraid that I’m not a programmer and the above means nithing to me.

Any suggestions?

Regards,
Roger

In which release are you getting the above issue?

Same issue. I’m using Ubuntu 20.04 + dde.